SQ(1)

NAME
sq key password - Change the password protecting secret key material

SYNOPSIS
sq key password [OPTIONS]

DESCRIPTION
Change the password protecting secret key material.

Secret key material can be protected by a password. This subcommand changes or clears the password.

To strip the password either use `--clear` or supply a zero-length password when prompted for the new password.

If a key is password protected, and the correct password was not supplied using the `--password-file` argument, the user is prompted for the password. Likewise, if the new password isn't provided, the user is prompted.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--cert=FILE
    Change the password of the specified certificate's keys

--cert-file=CERT_FILE
    Change the password of the specified certificate's keys.

    Read the certificate from FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

--clear-password
    Clear the password protecting the secret key material

--new-password-file=PASSWORD_FILE
    File containing password to encrypt the secret key material.

    Note that the entire key file will be used as the password including any surrounding whitespace like a trailing newline.

-o, --output=FILE
    Write to FILE or stdout if omitted

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import a key that has no password protection.

    sq key import alice-secret.pgp

Change the password for all keys to password in the specified file.

    sq key password --new-password-file password-file.txt --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Clear the password protection.

    sq key password --password-file password-file.txt \
        --clear-password --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)